Index: hotplug-ng-001/Makefile
===================================================================
--- hotplug-ng-001.orig/Makefile	2005-02-10 17:40:02.000000000 -0600
+++ hotplug-ng-001/Makefile	2005-02-17 11:22:09.000000000 -0600
@@ -96,25 +96,28 @@
 		then echo "-Os"; else echo "-O2" ; fi}
 
 # add -Wredundant-decls when libsysfs gets cleaned up
-WARNINGS := -Wall 
+WARNINGS = -Wall 
 
-CFLAGS := -pipe
+CFLAGS = -pipe
+rCFLAGS = -D_GNU_SOURCE
 
 ifeq ($(strip $(USE_LOG)),true)
-	CFLAGS  += -DLOG
+	rCFLAGS  += -DLOG
 endif
 
 # if DEBUG is enabled, then we do not strip or optimize
 ifeq ($(strip $(DEBUG)),true)
-	CFLAGS  += -O1 -g -DDEBUG -D_GNU_SOURCE
+	CFLAGS  += -O1 -g -DDEBUG
 	LDFLAGS += -Wl,-warn-common
 	STRIPCMD = /bin/true -Since_we_are_debugging
 else
-	CFLAGS  += $(OPTIMIZATION) -fomit-frame-pointer -D_GNU_SOURCE
+	CFLAGS  += $(OPTIMIZATION) -fomit-frame-pointer
 	LDFLAGS += -s -Wl,-warn-common
 	STRIPCMD = $(STRIP) -s --remove-section=.note --remove-section=.comment
 endif
 
+CFLAGS += $(WARNINGS)
+
 # If we are using our version of klibc, then we need to build, link it, and then
 # link udev against it statically.
 # Otherwise, use glibc and link dynamically.
@@ -132,8 +135,8 @@
 
 	CRT0 = $(KLIBC_DIR)/crt0.o
 	LIBC = $(ARCH_LIB_OBJS) $(LIB_OBJS) $(CRT0)
-	CFLAGS += $(WARNINGS) -nostdinc				\
-		$(OPTFLAGS)					\
+	CFLAGS += $(OPTFLAGS)
+	rCFLAGS += -nostdinc				\
 		-D__KLIBC__ -fno-builtin-printf			\
 		-I$(KLIBC_FIXUPS_DIR)				\
 		-include $(KLIBC_FIXUPS_DIR)/klibc_fixups.h	\
@@ -148,17 +151,16 @@
 	WARNINGS += -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations
 	CRT0 =
 	LIBC =
-	CFLAGS += $(WARNINGS) -I$(GCCINCDIR)
 	LIB_OBJS = -lc
 	LDFLAGS =
 endif
 
 ifeq ($(strip $(USE_SELINUX)),true)
-	CFLAGS += -DUSE_SELINUX
+	rCFLAGS += -DUSE_SELINUX
 	LIB_OBJS += -lselinux
 endif
 
-CFLAGS += 	-I$(PWD)/libsysfs/sysfs \
+rCFLAGS += 	-I$(PWD)/libsysfs/sysfs \
 		-I$(PWD)/libsysfs
 
 all: $(ROOT) $(MODULE_ALL) $(GEN_CONFIGS)
@@ -169,7 +171,7 @@
 	@if [ ! -r klibc/linux ]; then \
 		ln -f -s $(KERNEL_DIR) klibc/linux; \
 	fi
-	$(MAKE) -C klibc SUBDIRS=klibc
+	$(MAKE) -C klibc CFLAGS="$(rCFLAGS) $(CFLAGS)" SUBDIRS=klibc
 
 SYSFS =	$(PWD)/libsysfs/sysfs_bus.o	\
 	$(PWD)/libsysfs/sysfs_class.o	\
@@ -272,7 +274,7 @@
 #.c.o:
 #	$(CC) $(CFLAGS) $(DEFS) $(CPPFLAGS) -c -o $@ $<
 .c.o:
-	$(QUIET) $(CC) $(CFLAGS) -c -o $@ $<
+	$(QUIET) $(CC) $(rCFLAGS) $(CFLAGS) -c -o $@ $<
 
 
 clean:
